This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824245 - Use more restrictive permissions for some files
Use more restrictive permissions for some files
Status: CLOSED NEXTRELEASE
Product: PulpDist
Classification: Community
Component: Web App (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: 0.1.0
: ---
Assigned To: Nick Coghlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 00:40 EDT by Nick Coghlan
Modified: 2012-05-25 03:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 03:37:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-05-23 00:40:29 EDT
The following files should not be world readable on installation:
- the web app configuration file (as it contains the passphrase for the encrypted Django fields)
- the sqlite database (as it contains the OAuth key and secret for the Pulp server)
Comment 1 Nick Coghlan 2012-05-25 03:37:39 EDT
Fixed for 0.0.16

Note You need to log in before you can comment on or make changes to this bug.